package com.yonge.cooleshow.api.feign;

import com.yonge.cooleshow.api.feign.fallback.MallPortalFeignServiceFallback;
import com.yonge.toolset.feign.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "mall-portal-server", configuration = FeignConfiguration.class, fallback = MallPortalFeignServiceFallback.class)
public interface MallPortalFeignService {

    /**
     * 订单轮询
     */
    @GetMapping("/task/pollingOrder")
    Object cancelTimeOutOrder();
}
